#include <akaxiso/akaxiso.h>
#include <akaxiso/content_model.h>
#include <iostream>

#include "tutorial7.h"

int main() {
  aka::initialize();
  instantiate_xiso();

  janken_choice root; // Document root node.
  xiso::leaf<janken_choice>::moc janken(root);

  goo g;
  g.explanation_ = "stone";
  janken.push_back(g, "goo");

  choki c;
  c.explanation_ = "scissors";
  janken.push_back(c, "choki");

  pa p;
  p.explanation_ = "paper";
  janken.push_back(g, "pa");

  aka::xml_serializer ser;
  ser.serialize(root, "janken", std::cout);

  aka::uninitialize();
}
